from toee import *

def san_use( attachee, triggerer ):
	loc = triggerer.location
	npc = game.obj_create( 14687, loc )
	triggerer.begin_dialog( npc, 1 )
	return SKIP_DEFAULT

def san_start_combat( attachee, triggerer ): ## zombies
	randy1 = game.random_range(1,22)
	randy2 = game.random_range(10,12)
	if randy1 >= 21:
		attachee.float_mesfile_line( 'mes\\narrative.mes', randy2 )

## ALSO, THIS IS USED FOR BREAK FREE
	while(attachee.item_find(8903) != OBJ_HANDLE_NULL):
		attachee.item_find(8903).destroy()
	if (attachee.d20_query(Q_Is_BreakFree_Possible)):
		create_item_in_inventory( 8903, attachee )
##		attachee.d20_send_signal(S_BreakFree)
	return RUN_DEFAULT